openapi: 3.0.1
info:
  title: Verified Tokens
  description: >-
    Verified Tokens ensures that your customer's payment details are valid and
    CIT compliant when creating a token.
  version: v2
servers:
  - url: https://try.access.worldpay.com
    description: Test (Try)
  - url: https://access.worldpay.com
    description: Live
paths:
  /verifiedTokens/cardOnFile:
    post:
      summary: Verified Tokens cardOnFile resource
      description: >+
        Create a verified cardOnFile token by sending a request to cardOnFile
        resource. A cardOnFile verified token allows you to take payments that
        are made by the customer using a stored verified token, such as in
        one-click or in-app purchases.

      operationId: cardonfile
      requestBody:
        content:
          application/vnd.worldpay.verified-tokens-v2.hal+json:
            schema:
              $ref: '#/components/schemas/verifiedTokens_cardOnFile_request'
            examples:
              Creating a new token for cardOnFile transactions when supplying all the payment instrument details.:
                description: >-
                  Creating a new token for cardOnFile transactions when
                  supplying all the payment instrument details.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Matching an existing token for cardOnFile transactions when supplying all the payment instrument details.:
                description: >-
                  Matching an existing token for cardOnFile transactions when
                  supplying all the payment instrument details.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Conflicting with an existing token for cardOnFile transactions when supplying all the payment instrument details.:
                description: >-
                  Conflicting with an existing token for cardOnFile transactions
                  when supplying all the payment instrument details.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token has been created.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions when
                  supplying all the payment instrument details. An unverified
                  token has been created.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token has been matched.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions when
                  supplying all the payment instrument details. An unverified
                  token has been matched.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token with conflicts has been returned.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions when
                  supplying all the payment instrument details. An unverified
                  token with conflicts has been returned.
                value:
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: Test name
                    cardExpiryDate:
                      month: 10
                      year: 2030
                    cardNumber: '4444333322221111'
                    cvc: '123'
                  merchant:
                    entity: test-reference
                  verificationCurrency: GBP
              Creating a new token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Creating a new token for cardOnFile transactions using a
                  verified token or card session created by the access checkout
                  SDK.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
              Matching a token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Matching a token for cardOnFile transactions using a verified
                  token or card session created by the access checkout SDK.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
              Conflicts with an existing token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Conflicts with an existing token for cardOnFile transactions
                  using a verified token or card session created by the access
                  checkout SDK.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token has been created.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token has been created.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token has been matched.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token has been matched.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
              Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token with conflicts has been returned.:
                description: >-
                  Payload cannot be verified for cardOnFile transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token with conflicts has been returned.
                value:
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: test name
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                  merchant:
                    entity: merchant-reference
                  verificationCurrency: GBP
      responses:
        '200':
          description: >-
            The payload has been verified and a matching Token already exists.
            This does not include token meta data, which still may be different
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_200_response'
              examples:
                Matching an existing token for cardOnFile transactions when supplying all the payment instrument details.:
                  description: >-
                    Matching an existing token for cardOnFile transactions when
                    supplying all the payment instrument details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Matching a token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Matching a token for cardOnFile transactions using a
                    verified token or card session created by the access
                    checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '201':
          description: The payload has been verified and a Token has been created.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_201_response'
              examples:
                Creating a new token for cardOnFile transactions when supplying all the payment instrument details.:
                  description: >-
                    Creating a new token for cardOnFile transactions when
                    supplying all the payment instrument details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Creating a new token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Creating a new token for cardOnFile transactions using a
                    verified token or card session created by the access
                    checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '206':
          description: >-
            The supplied payload could not be verified. An unverified token has
            been created/matched.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_206_response'
              examples:
                Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token has been created.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions when
                    supplying all the payment instrument details. An unverified
                    token has been created.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token has been matched.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions when
                    supplying all the payment instrument details. An unverified
                    token has been matched.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for cardOnFile transactions when supplying all the payment instrument details. An unverified token with conflicts has been returned.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions when
                    supplying all the payment instrument details. An unverified
                    token with conflicts has been returned.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token has been created.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions using
                    a verified token or card session created by the access
                    checkout SDK. An unverified token has been created.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token has been matched.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions using
                    a verified token or card session created by the access
                    checkout SDK. An unverified token has been matched.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for cardOnFile transactions using a verified token or card session created by the access checkout SDK. An unverified token with conflicts has been returned.:
                  description: >-
                    Payload cannot be verified for cardOnFile transactions using
                    a verified token or card session created by the access
                    checkout SDK. An unverified token with conflicts has been
                    returned.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '409':
          description: >-
            The payload has been verified but a Token exists that conflicts with
            some of the details in the request.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_409_response'
              examples:
                Conflicting with an existing token for cardOnFile transactions when supplying all the payment instrument details.:
                  description: >-
                    Conflicting with an existing token for cardOnFile
                    transactions when supplying all the payment instrument
                    details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Conflicts with an existing token for cardOnFile transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Conflicts with an existing token for cardOnFile transactions
                    using a verified token or card session created by the access
                    checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
  /verifiedTokens/oneTime:
    post:
      summary: Verified Tokens oneTime resource
      description: >+
        Create a verified oneTime token by sending a request to oneTime
        resource. A oneTime verified token allows you to take payments that are
        made by the customer using a stored verified token, such as in one-click
        or in-app purchases.

      operationId: onetime
      requestBody:
        content:
          application/vnd.worldpay.verified-tokens-v2.hal+json:
            schema:
              $ref: '#/components/schemas/verifiedTokens_cardOnFile_request'
            examples:
              Creating a new token for oneTime transactions when supplying all the payment instrument details.:
                description: >-
                  Creating a new token for oneTime transactions when supplying
                  all the payment instrument details.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Matching an existing token for oneTime transactions when supplying all the payment instrument details.:
                description: >-
                  Matching an existing token for oneTime transactions when
                  supplying all the payment instrument details.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Conflicting with an existing token for oneTime transactions when supplying all the payment instrument details.:
                description: >-
                  Conflicting with an existing token for oneTime transactions
                  when supplying all the payment instrument details.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token has been created.:
                description: >-
                  Payload cannot be verified for oneTime transactions when
                  supplying all the payment instrument details. An unverified
                  token has been created.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token has been matched.:
                description: >-
                  Payload cannot be verified for oneTime transactions when
                  supplying all the payment instrument details. An unverified
                  token has been matched.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token with conflicts has been returned.:
                description: >-
                  Payload cannot be verified for oneTime transactions when
                  supplying all the payment instrument details. An unverified
                  token with conflicts has been returned.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/plain
                    cardHolderName: SherlockHolmes
                    cardNumber: '4444333322221111'
                    cardExpiryDate:
                      month: 5
                      year: 2035
                    cvc: '123'
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Creating a new token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Creating a new token for oneTime transactions using a verified
                  token or card session created by the access checkout SDK.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Matching a token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Matching a token for oneTime transactions using a verified
                  token or card session created by the access checkout SDK.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Conflicts with an existing token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                description: >-
                  Conflicts with an existing token for oneTime transactions
                  using a verified token or card session created by the access
                  checkout SDK.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token has been created.:
                description: >-
                  Payload cannot be verified for oneTime transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token has been created.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token has been matched.:
                description: >-
                  Payload cannot be verified for oneTime transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token has been matched.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
              Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token with conflicts has been returned.:
                description: >-
                  Payload cannot be verified for oneTime transactions using a
                  verified token or card session created by the access checkout
                  SDK. An unverified token with conflicts has been returned.
                value:
                  description: Token-Description
                  paymentInstrument:
                    type: card/checkout
                    cardHolderName: SherlockHolmes
                    sessionHref: >-
                      https://try.access.worldpay.com/verifiedTokens/sessions/eyJrIjoxLCJkIjoiZmJIT1pOOXNRc2xFeWQ1NXc5WEVLWHppUlJUWkpiMGozZkZIdWhFdmp4QTd4UmpNcWVmL0xJQzhHUTE0MCt6NyJ9
                    billingAddress:
                      address1: 221BBakerStreet
                      address2: Marylebone
                      address3: Westminster
                      postalCode: NW16XE
                      city: London
                      state: GreaterLondon
                      countryCode: GB
                  narrative:
                    line1: TheMindPalaceLtd
                    line2: Memory265-13-08-1876
                  merchant:
                    entity: default
                  verificationCurrency: GBP
                  namespace: SHOPPER_ID_1234567890
      responses:
        '200':
          description: >-
            The payload has been verified and a matching Token already exists.
            This does not include token meta data, which still may be different
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_200_response'
              examples:
                Matching an existing token for oneTime transactions when supplying all the payment instrument details.:
                  description: >-
                    Matching an existing token for oneTime transactions when
                    supplying all the payment instrument details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Matching a token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Matching a token for oneTime transactions using a verified
                    token or card session created by the access checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '201':
          description: The payload has been verified and a Token has been created.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_201_response'
              examples:
                Creating a new token for oneTime transactions when supplying all the payment instrument details.:
                  description: >-
                    Creating a new token for oneTime transactions when supplying
                    all the payment instrument details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Creating a new token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Creating a new token for oneTime transactions using a
                    verified token or card session created by the access
                    checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '206':
          description: >-
            The supplied payload could not be verified. An unverified token has
            been created/matched.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_206_response'
              examples:
                Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token has been created.:
                  description: >-
                    Payload cannot be verified for oneTime transactions when
                    supplying all the payment instrument details. An unverified
                    token has been created.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token has been matched.:
                  description: >-
                    Payload cannot be verified for oneTime transactions when
                    supplying all the payment instrument details. An unverified
                    token has been matched.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for oneTime transactions when supplying all the payment instrument details. An unverified token with conflicts has been returned.:
                  description: >-
                    Payload cannot be verified for oneTime transactions when
                    supplying all the payment instrument details. An unverified
                    token with conflicts has been returned.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token has been created.:
                  description: >-
                    Payload cannot be verified for oneTime transactions using a
                    verified token or card session created by the access
                    checkout SDK. An unverified token has been created.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token has been matched.:
                  description: >-
                    Payload cannot be verified for oneTime transactions using a
                    verified token or card session created by the access
                    checkout SDK. An unverified token has been matched.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Payload cannot be verified for oneTime transactions using a verified token or card session created by the access checkout SDK. An unverified token with conflicts has been returned.:
                  description: >-
                    Payload cannot be verified for oneTime transactions using a
                    verified token or card session created by the access
                    checkout SDK. An unverified token with conflicts has been
                    returned.
                  value:
                    outcome: not verified
                    code: '76'
                    description: CARD BLOCKED
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
        '409':
          description: >-
            The payload has been verified but a Token exists that conflicts with
            some of the details in the request.
          content:
            application/vnd.worldpay.verified-tokens-v2.hal+json:
              schema:
                $ref: '#/components/schemas/verifiedTokens_409_response'
              examples:
                Conflicting with an existing token for oneTime transactions when supplying all the payment instrument details.:
                  description: >-
                    Conflicting with an existing token for oneTime transactions
                    when supplying all the payment instrument details.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
                Conflicts with an existing token for oneTime transactions using a verified token or card session created by the access checkout SDK.:
                  description: >-
                    Conflicts with an existing token for oneTime transactions
                    using a verified token or card session created by the access
                    checkout SDK.
                  value:
                    outcome: verified
                    _links:
                      verifications:verification:
                        href: >-
                          https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
                      tokens:token:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
                      tokens:conflicts:
                        href: >-
                          https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
                      curies:
                        - href: >-
                            https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
                          name: verifications
                          templated: true
                        - href: >-
                            https://try.access.worldpay.com/rels/tokens/{rel}.json
                          name: tokens
                          templated: true
components:
  schemas:
    card_plain:
      properties:
        type:
          type: string
          example: card/plain
        cardNumber:
          type: string
          minLength: 10
          maxLength: 19
          pattern: ^[0-9]*$
        cardExpiryDate:
          type: object
          properties:
            month:
              type: integer
              minimum: 1
              maximum: 12
            year:
              type: integer
              maximum: 9999
          required:
            - month
            - year
        cvc:
          type: string
          minLength: 3
          maxLength: 4
          pattern: ^[0-9]*$
        cardHolderName:
          $ref: '#/components/schemas/verifiedTokens_cardOnFile_cardHolderName'
        billingAddress:
          $ref: '#/components/schemas/verifiedTokens_cardOnFile_billingAddress'
      required:
        - type
        - cardNumber
        - cardExpiryDate
        - cardHolderName
    card_checkout:
      properties:
        type:
          type: string
          example: card/checkout
        sessionHref:
          type: string
          pattern: ^https://try.access.worldpay.com/verifiedTokens/sessions/.*$
          description: >-
            Only session href of type verified token/card created in the same
            environment are accepted
        cardHolderName:
          $ref: '#/components/schemas/verifiedTokens_cardOnFile_cardHolderName'
        billingAddress:
          $ref: '#/components/schemas/verifiedTokens_cardOnFile_billingAddress'
      required:
        - type
        - sessionHref
        - cardHolderName
    paymentInstrument:
      oneOf:
        - $ref: '#/components/schemas/card_plain'
        - $ref: '#/components/schemas/card_checkout'
      description: An object that contains the card details or token location.
      discriminator:
        mapping:
          card/plain: '#/components/schemas/card_plain'
          card/checkout: '#/components/schemas/card_checkout'
        propertyName: type
    verifiedTokens_cardOnFile_request:
      type: object
      properties:
        paymentInstrument:
          $ref: '#/components/schemas/paymentInstrument'
        merchant:
          type: object
          properties:
            entity:
              type: string
          required:
            - entity
        verificationCurrency:
          type: string
          pattern: ^[A-Z]*$
          minLength: 3
          maxLength: 3
        description:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[^&<]*$
        tokenExpiryDateTime:
          type: string
          format: date-time
        namespace:
          type: string
          minLength: 1
          maxLength: 64
      required:
        - paymentInstrument
        - merchant
        - verificationCurrency
    verifiedTokens_oneTime_request:
      $ref: '#/components/schemas/verifiedTokens_cardOnFile_request'
    verifiedTokens_cardOnFile_billingAddress:
      type: object
      properties:
        address1:
          type: string
        address2:
          type: string
        address3:
          type: string
        postalCode:
          type: string
        city:
          type: string
        state:
          type: string
        countryCode:
          type: string
          pattern: ^[A-Z]*$
          minLength: 2
          maxLength: 2
      required:
        - address1
        - postalCode
        - city
        - countryCode
    verifiedTokens_cardOnFile_cardHolderName:
      type: string
      minLength: 1
      maxLength: 255
    verifiedTokens_200_response:
      required:
        - outcome
        - _links
      type: object
      properties:
        outcome:
          type: string
          example: verified
        _links:
          $ref: '#/components/schemas/verifiedTokens_links'
    verifiedTokens_201_response:
      required:
        - _links
      type: object
      properties:
        outcome:
          type: string
          example: verified
        _links:
          $ref: '#/components/schemas/verifiedTokens_links'
    verifiedTokens_409_response:
      required:
        - outcome
        - _links
      type: object
      properties:
        outcome:
          type: string
          example: verified
        _links:
          $ref: '#/components/schemas/verifiedTokens_conflict_links'
    verifiedTokens_206_response:
      required:
        - _links
      type: object
      properties:
        outcome:
          type: string
          example: not verified
        code:
          type: string
          example: 76
        description:
          type: string
          example: CARD BLOCKED
        _links:
          $ref: '#/components/schemas/verifiedTokens_conflict_links'
    verifiedTokens_links:
      type: object
      required:
        - verifications:verification
        - tokens:token
        - curies
      properties:
        verifications:verification:
          type: object
          properties:
            href:
              type: string
              example: >-
                https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
        tokens:token:
          type: object
          properties:
            href:
              type: string
              example: >-
                https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
        curies:
          type: array
          items:
            type: object
            properties:
              href:
                type: string
                example: >-
                  https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
              name:
                type: string
                example: verifications
              templated:
                type: boolean
                example: true
    verifiedTokens_conflict_links:
      type: object
      required:
        - verifications:verification
        - tokens:token
        - tokens:conflicts
        - curies
      properties:
        verifications:verification:
          type: object
          properties:
            href:
              type: string
              example: >-
                https://try.access.worldpay.com/verifications/accounts/MTphTFVWNXJYcDUvaXdJT214aWNBWHN3PT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6VXMzQStzaFdwWjZvV2g5STVXK0ZDb3ZiRmVoemdueWpnSDhHZFlmaFZpWitQTHNuWlZMQi84bzV0Z1FOaUZGYkpuTWRNYW9PdTJLY1Q0MURrdkpJMmFveVFJWC92MXArZFRWWUExZTRIdGZrZzBIYnBGeHJCWDJVc1lvMlZhUS8yclRzcHcrcTZ1OUtpZ0JPTVhmRW0zelhaWWl1WjlyR0xIUzR4b3lyOWFNPQ==
        tokens:token:
          type: object
          properties:
            href:
              type: string
              example: >-
                https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==}
        tokens:conflicts:
          type: object
          properties:
            href:
              type: string
              example: >-
                https://try.access.worldpay.com/tokens/${MAYBE_ENCRYPT:MTUzNTAzNjAzNzAyMjIzMjk0Ng==/conflicts/eyJ0b2tlbkNvbmZsaWN0cyI6eyJwYXltZW50SW5zdHJ1bWVudCI6eyJjYXJkSG9sZGVyTmFtZSI6IkZyZWQgQmxvZ2dzIn19LCJlcG9jaE1pbGxpRXhwaXJ5IjoxNTU5OTA4ODQwNDU5fQ}
        curies:
          type: array
          items:
            type: object
            properties:
              href:
                type: string
                example: >-
                  https://try.access.worldpay.com/rels/verifications/accounts/{rel}.json
              name:
                type: string
                example: verifications
              templated:
                type: boolean
                example: true
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
security:
  - BasicAuth: []
